%define rel 2

Name: accounts-qt
Version: 1.13
Release: %mkrel %{rel}
Summary: Accounts framework Qt bindings
Group:   System/Libraries
License: LGPLv2
URL:     https://gitlab.com/groups/accounts-sso
Source0: https://accounts-sso.googlecode.com/files/%{name}-%{version}.tar.bz2

BuildRequires: pkgconfig(libaccounts-glib)
BuildRequires: doxygen

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Test)

%description
Framework to provide accounts for Qt.


#------------------------------------------------------------------------------
%define libaccounts_major 1
%define libaccounts_qt %mklibname accounts-qt %{libaccounts_major}

%package -n %{libaccounts_qt}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libaccounts_qt}
Runtime libraries for %{name}

%files -n %{libaccounts_qt}
%{_libdir}/libaccounts-qt5.so.%{libaccounts_major}{,.*}

#---------------------------------------------------------------------------------
%package doc
Summary: Documentation for %{name}
BuildArch: noarch

%description doc
Documentation for %{name}

%files doc
%{_datadir}/doc/%{name}

#---------------------------------------------------------------------------------
%define libaccounts_devel %mklibname accounts-qt -d 

%package -n %{libaccounts_devel}
Summary:  Headers files for %{name}
Group: Development/KDE and Qt 
Requires: %{libaccounts_qt} = %{version}-%{release}

%description -n %{libaccounts_devel}
Headers files for %{name}

%files -n %{libaccounts_devel}
%{_includedir}/%{name}5
%{_libdir}/libaccounts-qt5.so
%{_libdir}/cmake/AccountsQt5
%{_libdir}/pkgconfig/accounts-qt5.pc
%{_bindir}/accountstest
%{_datadir}/libaccounts-qt-tests

#------------------------------------------------------------------------------


%prep
%setup -q

%build
%qmake_qt5 QMF_INSTALL_ROOT=%{_prefix}  CONFIG+=release accounts-qt.pro

%make

%install
make install INSTALL_ROOT=%{buildroot}


%changelog
* Sat Feb 13 2016 umeabot <umeabot> 1.13-2.mga6
+ Revision: 959476
- Mageia 6 Mass Rebuild

  + luigiwalser <luigiwalser>
    - update URL

* Tue Jul 07 2015 neoclust <neoclust> 1.13-1.mga6
+ Revision: 852408
- Fix BRs
- New version

* Wed Oct 15 2014 umeabot <umeabot> 1.11-4.mga5
+ Revision: 750958
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11-3.mga5
+ Revision: 686444
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.11-2.mga5
+ Revision: 677682
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1.11-1.mga5
+ Revision: 667397
- Update to 1.11
  fix files list

* Mon Oct 21 2013 umeabot <umeabot> 1.9-2.mga4
+ Revision: 540950
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 mikala <mikala> 1.9-1.mga4
+ Revision: 494571
- imported package accounts-qt

